

function EventFinder_OnEvent(self,event,...)
	if event=="COMBAT_LOG_EVENT" then
		--return
	elseif strfind( event, "CHAT_MSG_" ) then
		return
	end
	
	local argN = select("#",...)
	
	local argString = ColorText(0.5,0.5,1) .. event .. ColorText() .. " " 
	
	for i = 1, argN do
		argString = buildEventFinderString(argString,i,...)
	end
	
	if strfind( argString , "SPELL_CAST_FAILED" ) then
		-- continue
	elseif strfind( argString , "SPELL_INTERRUPT" ) then
		-- continue
	elseif strfind( argString , "UNIT_SPELLCAST_INTERRUPTED" ) then
		-- continue
	else
		-- did not find something important, so we exit
		return
	end
	
	if xtimer(argString,60) then
		--[[
		if EventFinder_OnEvent_SpamGuard() then
			return
		end
		]]--
		print(argString)
	end
end

-- arg2 = SPELL_CAST_FAILED
-- arg2 = SPELL_INTERRUPT
-- UNIT_SPELLCAST_INTERRUPTED


function EventFinder_OnEvent_SpamGuard()

	local numberGuards = 10
	local guardResetTime = 120
	
	for i = 1, numberGuards do
		if xtimer( "EventFinder_OnEvent_SpamGuard"..i , guardResetTime+i) then
			return false
		end
	end

	return true
end



function buildEventFinderString(argString, index, ...)

	local s = select(index,...)
	
	if index==1 and type(s)=='number' and strfind( argString, "COMBAT_LOG_EVENT" ) then
		s=nil
	end
	
	if s or type(s)=='boolean' then
		return argString .. ColorText(255,0,0).."arg"..index.."="..ColorText() .. stringify(s) .. " "
	else
		return argString
	end
	
end



function stringify(s)

	if type(s)=='boolean' then
		if s then
			return "true"
		else
			return "false"
		end
	else
		return s
	end
	
end

